/*
 * This file contains the implementation of the native methods, that
 * are declared in class NativeExample.
 */
#include <stdio.h>
#include "typedefs_md.h"
#include "Native.h"
#define STRICT
#include <windows.h>
#include <conio.h>
/*
 * Display a Java string on the console
 */
#pragma argsused

JNIEXPORT jboolean JNICALL Java_org_enhydra_ide_jbuilder_win32_dll_Native_createBcjHideIni
  (JNIEnv *env, jclass obj, jstring classpath, jstring output, jstring javacDir) {
  const char *strClasspath = NULL;
  const char *strOutput    = NULL;
  const char *strJavacDir  = NULL;


  strClasspath = (*env)->GetStringUTFChars(env, classpath, 0);
  strOutput    = (*env)->GetStringUTFChars(env, output, 0);
  strJavacDir  = (*env)->GetStringUTFChars(env, javacDir, 0);


  WritePrivateProfileString("BCJ",
                            "classpath",
                            strClasspath,
                            "bcjhide.ini");
  WritePrivateProfileString("BCJ",
                            "output",
                            strOutput,
                            "bcjhide.ini");
  WritePrivateProfileString("BCJ",
                            "directory",
                            strJavacDir,
                            "bcjhide.ini");

  return TRUE;
}


